<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__rx__phy.html">pdts_rx_phy</a></li><li class="navelem"><a class="el" href="classpdts__rx__phy_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__rx__phy_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:aab04298fa6424f18095dbf05f83dc2f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab04298fa6424f18095dbf05f83dc2f3"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#aab04298fa6424f18095dbf05f83dc2f3">PROCESS_19</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rxclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abe6bba5eb7697a43123ddfa1bb762070"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe6bba5eb7697a43123ddfa1bb762070"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#abe6bba5eb7697a43123ddfa1bb762070">PROCESS_20</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a69e598111018f3cf4897abf8cc7e8eb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69e598111018f3cf4897abf8cc7e8eb5"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a69e598111018f3cf4897abf8cc7e8eb5">PROCESS_21</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4becab8647911c098440de8b2ebce58f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4becab8647911c098440de8b2ebce58f"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a4becab8647911c098440de8b2ebce58f">PROCESS_22</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">di</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ki</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a076a94c2e8feb67a056b0681a174387f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a076a94c2e8feb67a056b0681a174387f"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a076a94c2e8feb67a056b0681a174387f">PROCESS_84</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rxclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac2457ae500d35034bbf82c7ed06f581d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2457ae500d35034bbf82c7ed06f581d"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ac2457ae500d35034bbf82c7ed06f581d">PROCESS_85</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ace9d1f6288ceb12b292227cac5ab42be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace9d1f6288ceb12b292227cac5ab42be"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ace9d1f6288ceb12b292227cac5ab42be">PROCESS_86</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4757dd16bfc0bff4ca96cc659e3dbf93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4757dd16bfc0bff4ca96cc659e3dbf93"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a4757dd16bfc0bff4ca96cc659e3dbf93">PROCESS_87</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">di</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ki</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a9972dbaaefc89b5c0715a6f6a27242dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9972dbaaefc89b5c0715a6f6a27242dc"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a9972dbaaefc89b5c0715a6f6a27242dc">c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abcfb4358da1c4a27c2321e362ce1d42c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcfb4358da1c4a27c2321e362ce1d42c"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#abcfb4358da1c4a27c2321e362ce1d42c">wa</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa36d111bceee343bcfa2dde9c8f5e7a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa36d111bceee343bcfa2dde9c8f5e7a3"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#aa36d111bceee343bcfa2dde9c8f5e7a3">w</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9df3580b11afb3427e5e878b0844edef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9df3580b11afb3427e5e878b0844edef"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a9df3580b11afb3427e5e878b0844edef">t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb6278af5f21baf72865b79a2b6bcb51"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb6278af5f21baf72865b79a2b6bcb51"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#adb6278af5f21baf72865b79a2b6bcb51">tr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1f2a4dfbd6bd2077b7d9f3247d79fe02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f2a4dfbd6bd2077b7d9f3247d79fe02"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a1f2a4dfbd6bd2077b7d9f3247d79fe02">f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a982bc65e1a5e568dcbc160cd6c547130"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a982bc65e1a5e568dcbc160cd6c547130"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a982bc65e1a5e568dcbc160cd6c547130">fr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94bdcdf98c3ce287bb8eae8c5aa5a82a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94bdcdf98c3ce287bb8eae8c5aa5a82a"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a94bdcdf98c3ce287bb8eae8c5aa5a82a">done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2942def6240839d912a3a373d9a255fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2942def6240839d912a3a373d9a255fe"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a2942def6240839d912a3a373d9a255fe">m</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61b48cc8450a5f8e354cd1f78baaf473"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61b48cc8450a5f8e354cd1f78baaf473"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a61b48cc8450a5f8e354cd1f78baaf473">stb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb3472bfa76b75e0f8f6a9d4e01f3583"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb3472bfa76b75e0f8f6a9d4e01f3583"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#adb3472bfa76b75e0f8f6a9d4e01f3583">aligned_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab2eb4246f2e9b049e589f36c44073e2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2eb4246f2e9b049e589f36c44073e2d"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ab2eb4246f2e9b049e589f36c44073e2d">ctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a21e13e8f3bd3259b582c45eb952394fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21e13e8f3bd3259b582c45eb952394fd"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a21e13e8f3bd3259b582c45eb952394fd">sctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac5c5eec0dd6854d974ef496cf21845f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5c5eec0dd6854d974ef496cf21845f0"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ac5c5eec0dd6854d974ef496cf21845f0">fctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afcdf13d381927469fcfb6135d75d5cdc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcdf13d381927469fcfb6135d75d5cdc"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#afcdf13d381927469fcfb6135d75d5cdc">di</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a028d96c7dddf70a3b7eae6097757a3f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a028d96c7dddf70a3b7eae6097757a3f7"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a028d96c7dddf70a3b7eae6097757a3f7">lctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">COMMA_TIMEOUT_W</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae73e1e4c6dca5f9884015f2ce69ddc08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae73e1e4c6dca5f9884015f2ce69ddc08"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ae73e1e4c6dca5f9884015f2ce69ddc08">stbd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ff9a668408acb5894cd81749e968901"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ff9a668408acb5894cd81749e968901"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a3ff9a668408acb5894cd81749e968901">ki</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2416e600397913f113e6a894b9865202"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2416e600397913f113e6a894b9865202"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a2416e600397913f113e6a894b9865202">lock</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d0a28d2103c46f1451cdaa9a923e7cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d0a28d2103c46f1451cdaa9a923e7cb"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a5d0a28d2103c46f1451cdaa9a923e7cb">ldone</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab02ac96e661f16d412acc667fef6e340"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab02ac96e661f16d412acc667fef6e340"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ab02ac96e661f16d412acc667fef6e340">kerr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7563c2b941fdc5b152751f42be716269"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7563c2b941fdc5b152751f42be716269"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a7563c2b941fdc5b152751f42be716269">cerr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad5b43c495967cf63bc383db334289fd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5b43c495967cf63bc383db334289fd5"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#ad5b43c495967cf63bc383db334289fd5">derr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a6fd8cbd6806562601e8f9990e76c9e9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fd8cbd6806562601e8f9990e76c9e9d"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a6fd8cbd6806562601e8f9990e76c9e9d">dec</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_dec8b10b</b>  </td></tr>
<tr class="memitem:a6fd8cbd6806562601e8f9990e76c9e9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fd8cbd6806562601e8f9990e76c9e9d"></a>
<a class="el" href="classpdts__rx__phy_1_1rtl.html#a6fd8cbd6806562601e8f9990e76c9e9d">dec</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_dec8b10b</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__rx__phy_8vhd_source.html#l00034">34</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__rx__phy_8vhd_source.html">pdts_rx_phy.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__rx__phy_8vhd_source.html">pdts_rx_phy.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__rx__phy_8vhd_source.html">pdts_rx_phy.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
